version: "3"
services:

  dsk-operate-sys:
    image: swr.cn-north-4.myhuaweicloud.com/dsk/java:8u111-jdk-alpine-creditreport
    container_name: cscec_bms
    network_mode: host
    restart: always
    working_dir: /app
    environment:
      TZ: Asia/Shanghai
    volumes:
      - ./cscec_bms:/app
      - /etc/localtime:/etc/localtime
    command: "java -jar cscec_bms.jar"
  nginx:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: nginx
    restart: always
    network_mode: host
    volumes:
      - /etc/localtime:/etc/localtime
      - ./dsk-operate-ui/dist/:/www/szh/web/dist/
      - ./dsk-operate-ui/operate.conf:/etc/nginx/conf.d/operate.conf
      - ./dsk-operate-ui/log:/var/log/nginx